#!/bin/sh

# On récupère en ligne les fichiers errata
wget -q -N http://cefs.steve-meier.de/errata.latest.xml -O /tmp/errata.latest.xml
wget -q -N https://www.redhat.com/security/data/oval/com.redhat.rhsa-all.xml -O /tmp/com.redhat.rhsa-all.xml

# On récupère la liste de tous les repositories créés sur notre serveur Katello
for id in `pulp-admin repo list | grep Id | cut -d":" -f2 | grep -v "Content_View"`; do
	# On récupère le nom de chaque repository
	name=`pulp-admin repo list --repo-id "$id" | grep "Display Name:" | cut -d":" -f2`
	#name=`pulp-admin rpm repo search --str-eq="id=$id" --fields "display_name" | grep "Display Name" | cut -d":" -f2`
	# Pour chaque repository CentOS6 ou 7 (ajouter dans la boucle for les futures versions CentOS)
	for produit in CentOS6 CentOS7; do
		hammer repository info --name $name --product $produit > /dev/null 2>&1
		if [ $? -eq 0 ]; then
			# Si le repository est un repostitory CentOS, on le met à jour
			/sbin/errata_import.pl --errata=/tmp/errata.latest.xml --rhsa-oval=/tmp/com.redhat.rhsa-all.xml --include-repo=$id
			hammer repository update --name $name --product $produit
			hammer repository synchronize --product $produit --name $name --skip-metadata-check true
			echo $produit $name
		fi
	done
done
